[arch-commits] Commit in haskell-hakyll/repos/community-x86_64 (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Sun Mar 8 17:29:36 UTC 2020
Date: Sunday, March 8, 2020 @ 17:29:35
Author: felixonmars
Revision: 592284
archrelease: copy trunk to community-x86_64
Added:
haskell-hakyll/repos/community-x86_64/PKGBUILD
(from rev 592283, haskell-hakyll/trunk/PKGBUILD)
Deleted:
haskell-hakyll/repos/community-x86_64/PKGBUILD
----------+
PKGBUILD | 114 +++++++++++++++++++++++++++++--------------------------------
1 file changed, 56 insertions(+), 58 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2020-03-08 17:29:26 UTC (rev 592283)
+++ PKGBUILD 2020-03-08 17:29:35 UTC (rev 592284)
@@ -1,58 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-_hkgname=hakyll
-pkgname=haskell-hakyll
-pkgver=4.13.0.1
-pkgrel=36
-pkgdesc="A static website compiler library"
-url="https://jaspervdj.be/hakyll"
-license=("BSD")
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-blaze-html' 'haskell-blaze-markup' 'haskell-cryptohash'
- 'haskell-data-default' 'haskell-file-embed' 'haskell-fsnotify' 'haskell-http-conduit'
- 'haskell-http-types' 'haskell-lrucache' 'haskell-network-uri'
- 'haskell-optparse-applicative' 'pandoc' 'pandoc-citeproc' 'haskell-random'
- 'haskell-regex-tdfa' 'haskell-resourcet' 'haskell-scientific' 'haskell-tagsoup'
- 'haskell-time-locale-compat' 'haskell-unordered-containers' 'haskell-vector'
- 'haskell-wai' 'haskell-wai-app-static' 'haskell-warp' 'haskell-yaml')
-makedepends=('ghc' 'haskell-quickcheck' 'haskell-tasty' 'haskell-tasty-hunit'
- 'haskell-tasty-quickcheck')
-source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('36d3d0c9e3cefbc6b159ec868a523be37cfd92db8997f914cbf9eb568cba6f16169048aca7d4bebdf8a800ec3ed6bb710c9330723b3444629ab8fae77e9325df')
-
-prepare() {
- cd $_hkgname-$pkgver
- sed -i -e 's/< *0.17/<1/' -e 's/< *1.3/<2/' -e 's/< *2/<3/' -e 's/< *3.3/<4/' -e 's/< *0.15/<1/' $_hkgname.cabal
- sed -i 's/fail /error /' lib/Hakyll/Core/Metadata.hs lib/Hakyll/Web/Redirect.hs lib/Hakyll/Web/Template/Context.hs
- sed -i '/fail = /i instance MonadFail Compiler where' lib/Hakyll/Core/Compiler/Internal.hs
-}
-
-build() {
- cd $_hkgname-$pkgver
-
- runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
- --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir="$pkgname" --enable-tests \
- --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
- -fcheckexternal -fwatchserver -fpreviewserver -fusepandoc
- runhaskell Setup build
- runhaskell Setup register --gen-script
- runhaskell Setup unregister --gen-script
- sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
- sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
- cd $_hkgname-$pkgver
- LC_CTYPE=en_US.UTF-8 runhaskell Setup test || warning "https://github.com/jaspervdj/hakyll/issues/682"
-}
-
-package() {
- cd $_hkgname-$pkgver
-
- install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
- install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
- runhaskell Setup copy --destdir="$pkgdir"
- install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
- rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}
Copied: haskell-hakyll/repos/community-x86_64/PKGBUILD (from rev 592283, haskell-hakyll/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2020-03-08 17:29:35 UTC (rev 592284)
@@ -0,0 +1,56 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=hakyll
+pkgname=haskell-hakyll
+pkgver=4.13.1.0
+pkgrel=1
+pkgdesc="A static website compiler library"
+url="https://jaspervdj.be/hakyll"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-blaze-html' 'haskell-blaze-markup' 'haskell-cryptonite'
+ 'haskell-data-default' 'haskell-file-embed' 'haskell-fsnotify' 'haskell-http-conduit'
+ 'haskell-http-types' 'haskell-lrucache' 'haskell-memory' 'haskell-network-uri'
+ 'haskell-optparse-applicative' 'pandoc' 'pandoc-citeproc' 'haskell-random'
+ 'haskell-regex-tdfa' 'haskell-resourcet' 'haskell-scientific' 'haskell-tagsoup'
+ 'haskell-time-locale-compat' 'haskell-unordered-containers' 'haskell-vector'
+ 'haskell-wai' 'haskell-wai-app-static' 'haskell-warp' 'haskell-yaml')
+makedepends=('ghc' 'haskell-quickcheck' 'haskell-tasty' 'haskell-tasty-hunit'
+ 'haskell-tasty-quickcheck')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('83ee530dad122992027b8063b581b5646f5786c2275a386578ae2dc0133a8cf57a3d01072c59818bd9c07b1d2497d088ca3fa243489d0811906dac6ba39b3cb7')
+
+prepare() {
+ cd $_hkgname-$pkgver
+ sed -i -e 's/< *0.17/<1/' -e 's/< *3.3/<4/' $_hkgname.cabal
+}
+
+build() {
+ cd $_hkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -fcheckexternal -fwatchserver -fpreviewserver -fusepandoc
+ runhaskell Setup build
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $_hkgname-$pkgver
+ LC_CTYPE=en_US.UTF-8 runhaskell Setup test || warning "https://github.com/jaspervdj/hakyll/issues/682"
+}
+
+package() {
+ cd $_hkgname-$pkgver
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list